/*-
 * Copyright (C)2003 @BABOLO http://www.babolo.ru/
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 *  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: parser.h,v 1.3 2004/02/03 06:52:10 babolo Exp $
 */

#define Bpars_SKIP    0x000001
#define Bpars_FIXB    0x000002
#define Bpars_NOEN    0x000004
#define Bpars_CHNK    0x000020
#define Bpars_VERB    0x001000
#define Bpars_VERM    0x002000
#define Bpars_VERD    0x004000
#define Bpars_VERH    0x008000
#define Bpars_VERMASK 0x00F000
#define Bpars_NPRM    0xFF0000

#define getBpars_NPRM(a) (((a) >> 16) & (Bpars_NPRM >> 16))
#define setBpars_NPRM(a,x) {(a) &= ~Bpars_NPRM; (a) |= (((u_int32_t)(x) << 16) & Bpars_NPRM)}

struct babolo_parm {
    u_int32_t flag;
    int argc;
    u_char **argv;
};

struct babolo_parm * babolo_getparm __P((u_int32_t, u_char **, const u_char *));
void                babolo_freeparm __P((struct babolo_parm *));
